Bug 22948 - ddc probed monitor: just a bunch of weird characters
ddc probed monitor: just a bunch of weird characters
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-28 11:40 EST by giulioo
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-08 15:50:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description giulioo 2000-12-28 11:40:39 EST
AcerView54eL. Generally I configure it as AcerView54es or AcerView54e.
VideoCard: TridentBlade3D (Generic)

I tried 2 installs.

On the 1st try anaconda said
DDC probed monitor: GSldf37

On the 2nd
DDC probed monitor: MVCb75d

The frequencies were clearly wrong.

If the DDC probed monitor is just a string of weird chars (I agree it's 
very difficult to say what is a string of "weird chars") it would be 
better to let the user pick the right (or more suitable) monitor type from 
the list instead of presenting a screen with a weird kind of monitor 
selected. A new user would be confused "I have a monitor very similar to 
that one on the list, but the installer says I have "MVCb75d". Lets' call 
tech support" :)
Comment 1 Michael Fulbright 2001-01-09 18:02:19 EST
We have observed this occurs with some monitors.  Is the monitor attached thru a
KVM?
Comment 2 giulioo 2001-01-10 10:26:38 EST
No, the monitor is attached directly to the videocard.
Sometime ago i was given this code snippet to debug some other problems I had:

== ddcprobe
#!/usr/bin/python
import kudzu
devices=kudzu.probe(kudzu.CLASS_MONITOR,kudzu.BUS_DDC,kudzu.PROBE_ALL)
print devices
==

[root@i5 go]# date && ./ddcprobe
mer gen 10 16:30:12 CET 2001
[Desc:           None
Id:             CU]9f15
Mem on card:    8192
HSync:          0-0
VSync:          0-0
]
[root@i5 go]# date && ./ddcprobe
mer gen 10 16:30:14 CET 2001
[Desc:           None
Id:             O^]bf5f
Mem on card:    8192
HSync:          0-0
VSync:          0-0
]
[root@i5 go]# date && ./ddcprobe
mer gen 10 16:30:15 CET 2001
[Desc:           None
Id:             URK97b5
Mem on card:    8192
HSync:          0-0
VSync:          0-0
]
[root@i5 go]#
...
...
Comment 3 Michael Fulbright 2001-01-17 15:33:58 EST
DDC probing can be unreliable with some card/monitor combinations.  Can you see
what another OS (windows?) detects the monitor as?
Comment 4 giulioo 2001-01-23 15:26:42 EST
winme cannot detect the kind of monitor either. It installs it as "predefined 
monitor".

I think you could do 3 ddcprobe in a row, and if the results are not the same 
let the user pick the monitor without preselecting anything.
Comment 5 Michael Fulbright 2001-02-08 15:50:37 EST
Interesting proposal, I will forward it to a developer.
Comment 6 Brent Fox 2001-02-08 16:03:40 EST
I think this is probably a pretty rare occurance, and I'm reluctant to add code
for it.  I think most users would see that the monitor was not correctly
identified and would select the right one.  I just don't think doing the
ddcprobe more than once is the right thing to do.

Note You need to log in before you can comment on or make changes to this bug.